Content
Search
deprecated
Search (deprecated).
POST
/
ai
/
v1
/
kallm
/
search
Search (deprecated)
curl --request POST \
--url https://platform.ai.gloo.com/ai/v1/kallm/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"search": "<string>",
"collection": "<string>",
"filters": [],
"limit": 100,
"tenant": "<string>"
}
'import requests
url = "https://platform.ai.gloo.com/ai/v1/kallm/search"
payload = {
"search": "<string>",
"collection": "<string>",
"filters": [],
"limit": 100,
"tenant": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
search: '<string>',
collection: '<string>',
filters: [],
limit: 100,
tenant: '<string>'
})
};
fetch('https://platform.ai.gloo.com/ai/v1/kallm/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}This endpoint has been deprecated. Use the equivalent Search publisher data endpoint instead.Migration steps:
- POST to
/ai/data/v1/search - Use
queryinstead ofsearch
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
The response is of type Response Search Ai V1 Gloo AI Chat Search Post · object.
⌘I
Search (deprecated)

